Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmpp.component
Class ComponentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xmpp.component.ComponentException

All Implemented Interfaces:
  Serializable

    public class ComponentException

extends Exception

Thrown when an exception occors with a Component.

Author:
  Matt Tucker
See Also:
  Serialized Form

Constructor Summary
`ComponentException()`
`ComponentException(StreamError streamError)`
`ComponentException(String message)`
`ComponentException(String message, StreamError streamError)`
`ComponentException(String message, Throwable cause)`
`ComponentException(Throwable cause)`

Method Summary
`StreamError` | `getStreamError()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentException

    public ComponentException()

### ComponentException

    public ComponentException(String message)

### ComponentException

    public ComponentException(String message,
                              Throwable cause)

### ComponentException

    public ComponentException(Throwable cause)

### ComponentException

    public ComponentException(String message,
                              StreamError streamError)

### ComponentException

    public ComponentException(StreamError streamError)

Method Detail

### getStreamError

    public StreamError getStreamError()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.